Class | XMLRPC::Base64
In: | xmlrpc/base64.rb
Parent: | Object

### Methods

decode decoded encode encoded new

### Public Class methods

decode(str)

[Source]

    # File xmlrpc/base64.rb, line 64
      def Base64.decode(str)
        str.gsub(/\s+/, "").unpack("m")[0]
      end

encode(str)

[Source]

    # File xmlrpc/base64.rb, line 68
      def Base64.encode(str)
        [str].pack("m")
      end

new(str, state = :dec)

[Source]

    # File xmlrpc/base64.rb, line 44
      def initialize(str, state = :dec)
        case state
        when :enc
          @str = Base64.decode(str)
        when :dec
          @str = str
        else
          raise ArgumentError, "wrong argument; either :enc or :dec"
        end
      end

### Public Instance methods

decoded()

[Source]

    # File xmlrpc/base64.rb, line 55
      def decoded
        @str
      end

encoded()

[Source]

    # File xmlrpc/base64.rb, line 59
      def encoded
        Base64.encode(@str)
      end

[Validate]